## noris-nagios-dnsplugins 0.1-11

=== Makefile ===
build:

install:
	cp -r usr/ etc/ var/ ${DESTDIR}/
	mkdir -p ${DESTDIR}/usr/share/man/man1
	pod2man ${DESTDIR}/usr/lib/nagios/plugins/check_named-stats --section=1 ${DESTDIR}/usr/share/man/man1/check_named-stats.1
	pod2man ${DESTDIR}/usr/lib/nagios/plugins/check_domain --section=1 ${DESTDIR}/usr/share/man/man1/check_domain.1

clean:
	rm -f *-stamp

=== debian/changelog ===
noris-nagios-dnsplugins (0.1-11) stable; urgency=low

  * Added dependencie for libnet-dns-perl; RT#478897

 -- Georg Gliniak <gliniak@noris.de>  Wed, 17 Dec 2008 09:28:20 +0100

noris-nagios-dnsplugins (0.1-10) stable; urgency=low
  
  * New version of check_domain; RT#478897

 -- Georg Gliniak <gliniak@noris.de>  Wed, 17 Dec 2008 09:22:54 +0100

no ris-nagios-dnsplugins (0.1-9) stable; urgency=low

  * Added postinst and postrm for check_dns_stats

 -- Hardy Kestin <hardy@noris.net>  Mon, 11 Dec 2006 09:42:13 +0100

noris-nagios-dnsplugins (0.1-8) stable; urgency=low

  * Added Dependency to librrds-perl.
  * Changed template for check_domain.

 -- Hardy Kestin <hardy@noris.net>  Mon, 13 Feb 2006 12:01:18 +0100

noris-nagios-dnsplugins (0.1-7) stable; urgency=low

  * Changed Default-Location of stats-file.

 -- Hardy Kestin <hardy@noris.net>  Mon, 16 Jan 2006 09:13:02 +0100

noris-nagios-dnsplugins (0.1-6) stable; urgency=low

  * Added DB-Dir for check_domain.

 -- Hardy Kestin <hardy@noris.net>  Tue, 23 Aug 2005 17:54:54 +0200

noris-nagios-dnsplugins (0.1-5) stable; urgency=low

  * Added Dependency to libfreezethaw-perl.

 -- Hardy Kestin <hardy@noris.net>  Tue, 23 Aug 2005 17:47:06 +0200

noris-nagios-dnsplugins (0.1-4) stable; urgency=low

  * Added check_domain.

 -- Hardy Kestin <hardy@noris.net>  Tue, 23 Aug 2005 17:38:18 +0200

noris-nagios-dnsplugins (0.1-3) stable; urgency=low

  * Changed dist, arch and Section

 -- Hardy Kestin <hardy@noris.net>  Tue, 21 Jun 2005 17:27:38 +0200

noris-nagios-dnsplugins (0.1-2) unstable; urgency=low

  * Fixed typo in control.

 -- Hardy Kestin <hardy@noris.net>  Fri, 10 Jun 2005 16:27:38 +0200

noris-nagios-dnsplugins (0.1-1) unstable; urgency=low

  * Initial Release.

 -- Hardy Kestin <hardy@noris.net>  Fri, 10 Jun 2005 16:27:38 +0200

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3



ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/noris-nagios-dnsplugins.sgml > noris-nagios-dnsplugins.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/noris-nagios-dnsplugins.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/noris-nagios-dnsplugins


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## noris-nagios-dnsplugins 6.0-1

=== debian/changelog ===
noris-nagios-dnsplugins (6.0-1) squeeze; urgency=low

  * First Build for squeeze

 -- Katharina Drexel <katharina.drexel@noris.de>  Thu, 24 Feb 2011 14:03:36 +0100

## noris-nagios-dnsplugins 6.3

=== debian/changelog ===
noris-nagios-dnsplugins (6.3) jessie; urgency=low

  * check_domain: Fallback auf TCP (#21345210) 

 -- Katharina Drexel <kdrexel@noris.de>  Wed, 08 Jul 2015 14:27:35 +0200

noris-nagios-dnsplugins (6.2-4) wheezy; urgency=low

  * new option --exclude-toplevel (#16466409-2)

 -- Katharina Drexel <kdrexel@noris.de>  Fri, 04 Jul 2014 12:13:10 +0200

noris-nagios-dnsplugins (6.2) squeeze; urgency=low

  * #16466106: check_dns_records: NS Records überwachen

 -- Stelios Gikas <stelios.gikas@noris.net>  Wed, 02 Jul 2014 13:43:16 +0200

noris-nagios-dnsplugins (6.1) squeeze; urgency=low

  * #14118092: pod-Fehler behoben

 -- Moritz Lenz <mlenz@noris.net>  Tue, 26 Mar 2013 08:11:01 +0100

=== debian/control ===
Source: noris-nagios-dnsplugins
Section: net
Priority: optional
Maintainer: Hardy Kestin <hardy@noris.net>
Build-Depends: debhelper (>> 3.0.0)
Standards-Version: 3.5.2

Package: noris-nagios-dnsplugins
Architecture: all
Depends: ${shlibs:Depends}, libnetsaint-noris-perl, libfile-readbackwards-perl (>= 1.03), libfreezethaw-perl, librrds-perl, libnet-dns-perl
Description: DNS-Plugins for Nagios and NetSaint.
 Nagios is a replacement of the Netsaint project. It accept and uses the
 previous Netsaint modules transparently.
 .
 Nagios is a host/service/network monitoring and management system. It has
 the following features: 
 .
 o  Monitoring of network services (via TCP port, SMTP, POP3, HTTP, NNTP,
    PING, etc.) 
 o  Plugin interface to allow for user-developed service checks 
 o  Contact notifications when problems occur and get resolved (via email,
    pager, or user-defined method) 
 o  Ability to define event handlers to be run during service or host events
    (for proactive problem resolution) 
 o  Web output (current status, notifications, problem history, log file, etc.) 
 .
 Nagios was written in C and is designed to be easy to understand and modify
 to fit your own needs.
 .
 This package contains homegrown plugins for Nagios and NetSaint.

## noris-nagios-dnsplugins 6.4

=== Makefile ===
build:

install:
	cp -r usr/ etc/ ${DESTDIR}/
	mkdir -p ${DESTDIR}/usr/share/man/man1
	pod2man ${DESTDIR}/usr/lib/nagios/plugins/check_named-stats --section=1 ${DESTDIR}/usr/share/man/man1/check_named-stats.1
	pod2man ${DESTDIR}/usr/lib/nagios/plugins/check_domain --section=1 ${DESTDIR}/usr/share/man/man1/check_domain.1
	pod2man ${DESTDIR}/usr/lib/nagios/plugins/check_dns_records --section 1 ${DESTDIR}/usr/share/man/man1/check_dns_records.1

clean:
	rm -f *-stamp

=== debian/changelog ===
noris-nagios-dnsplugins (6.4) wheezy; urgency=medium

  * #21729195: added some dependencies

 -- Katharina Drexel <kdrexel@noris.de>  Wed, 26 Aug 2015 13:58:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: noris-nagios-dnsplugins
 Section: net
 Priority: optional
-Maintainer: Hardy Kestin <hardy@noris.net>
+Maintainer: Katharina Drexel <katharina.drexel@noris.de>
 Build-Depends: debhelper (>> 3.0.0)
 Standards-Version: 3.5.2
 
 Package: noris-nagios-dnsplugins
 Architecture: all
-Depends: ${shlibs:Depends}, libnetsaint-noris-perl, libfile-readbackwards-perl (>= 1.03), libfreezethaw-perl, librrds-perl, libnet-dns-perl
+Depends: ${shlibs:Depends}, dns-root-data, libnetsaint-noris-perl, libfile-readbackwards-perl (>= 1.03), libfreezethaw-perl, librrds-perl, libnet-dns-perl,  libldns-dev, ldnsutils
 Description: DNS-Plugins for Nagios and NetSaint.
  Nagios is a replacement of the Netsaint project. It accept and uses the
  previous Netsaint modules transparently.

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #export DH_VERBOSE=1
 
 # This is the debhelper compatibility version to use.
-export DH_COMPAT=3
+export DH_COMPAT=5
